(* This program generate a random number with a given
  Probability Density Function *)

(*This is the probability density function of the "semicircle" distribution *)
Pdf = 2/Pi*Sqrt[1 - x^2];
Cdf = Integrate[Pdf, x];

(*Generate such a random number in (-1, 1) *)
RandomNumber[] := Block[{x, w, rand},
      w = Random[];
      rand = x /. FindRoot[Cdf = w, {x, 2w - 1, -1, 1}];
      (*2w - 
          1 is initial guess in this case since the Cdf above is approx 2x + 
          1. Please change this value according to your specific Pdf.*)
      rand
      ];

(*Generate such a random number in (min, max) *)
RandomNumber[min_, max_] := Block[{rand},
      rand = RandomNumber[];
      rand = (max - min)/2*rand + (max + min)/2;
      rand
      ];

