(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     71536,       1823]*)
(*NotebookOutlinePosition[     72182,       1845]*)
(*  CellTagsIndexPosition[     72138,       1841]*)
(*WindowFrame->Normal*)



Notebook[{
Cell[BoxData[
    RowBox[{
      StyleBox[\( (*\ Please\ change\ your\ directory\ accordingly\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic"], "\[IndentingNewLine]", 
      RowBox[{\(<< "\<~/toan/RandomMatrix/Data/FindZprime.m\>";\), 
        "\[IndentingNewLine]", \(<< \
"\<~/toan/RandomMatrix/Data/RUMgenerator.m\>"\), "\[IndentingNewLine]", 
        RowBox[{
          StyleBox["(*",
            FontWeight->"Plain",
            FontSlant->"Italic"], " ", 
          RowBox[{
            StyleBox[\(For\ Windows\ user\),
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            StyleBox[",",
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            StyleBox[" ",
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            StyleBox["use",
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            StyleBox[",",
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            StyleBox[" ",
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            RowBox[{
              StyleBox["for",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              StyleBox[" ",
                FontWeight->"Plain",
                FontSlant->"Italic"], 
              RowBox[{
                StyleBox["example",
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                StyleBox[":",
                  FontWeight->"Plain",
                  FontSlant->"Italic"], 
                "\[IndentingNewLine]", \(<< "\<C:/Documents and \
Settings/Math/FindZprime.m\>"\)}]}]}], " ", 
          StyleBox["*)",
            FontWeight->"Plain",
            FontSlant->"Italic"]}]}]}]], "Input"],

Cell[BoxData[
    \(<< Graphics`Graphics`\)], "Input"],

Cell[BoxData[
    \(\(zprimes300 = {};\)\)], "Input"],

Cell[BoxData[{
    RowBox[{\(n = 300;\), 
      StyleBox[" ",
        FontWeight->"Plain",
        FontSlant->"Italic"], 
      StyleBox[\( (*\ Size\ of\ the\ matrices\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic"]}], "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{\(maxRun = 10\), 
        StyleBox[";",
          FontWeight->"Plain",
          FontSlant->"Italic"]}], 
      StyleBox[" ",
        FontWeight->"Plain",
        FontSlant->"Italic"], 
      StyleBox[\( (*\ Number\ of\ matrices\ to\ be\ generated\ *) \),
        FontWeight->"Plain",
        FontSlant->"Italic"]}], "\[IndentingNewLine]", 
    RowBox[{
      RowBox[{"For", " ", "[", 
        RowBox[{\(counter = 1\), ",", \(counter \[LessEqual] maxRun\), 
          ",", \(counter++\), ",", "\[IndentingNewLine]", 
          
          RowBox[{\(Clear[temp]\), ";", 
            "\[IndentingNewLine]", \(Print["\<counter = \>", counter]\), ";", 
            "\[IndentingNewLine]", \(myMatrix = randunitary[n]\), ";", " ", 
            StyleBox[\( (*\ Generate\ a\ random\ unitary\ matrix\ *) \),
              FontWeight->"Plain",
              FontSlant->"Italic"], 
            "\[IndentingNewLine]", \(myPoly = 
              CharacteristicPolynomial[myMatrix, x]\), ";", 
            "\[IndentingNewLine]", \(zlist = Eigenvalues[myMatrix]\), ";", 
            "\[IndentingNewLine]", 
            "\[IndentingNewLine]", \(Print[
              Timing[\(temp = 
                    FindZprimes[zlist, 10^\(-6\), 10^\(-5\), 
                      10^\(-5\)];\)]]\), ";", 
            "\[IndentingNewLine]", \(zprimes300 = Union[zprimes300, temp]\), 
            ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]}], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Histogram[300*\((1 - Abs[zprimes300])\), 
        HistogramRange \[Rule] {0, 5}, HistogramScale \[Rule] 1, 
        HistogramCategories \[Rule] Table[j, {j, 0, 5, 0.1}], 
        PlotLabel \[Rule] "\<300x300\>", 
        AxesLabel \[Rule] {"\<x\>", "\<PDF\>"}];\)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-2.77556e-17 0.2 0.0147151 1.83419 [
[.2 .00222 -3 -9 ]
[.2 .00222 3 0 ]
[.4 .00222 -3 -9 ]
[.4 .00222 3 0 ]
[.6 .00222 -3 -9 ]
[.6 .00222 3 0 ]
[.8 .00222 -3 -9 ]
[.8 .00222 3 0 ]
[1 .00222 -3 -9 ]
[1 .00222 3 0 ]
[1.025 .01472 0 -4.90625 ]
[1.025 .01472 10 4.90625 ]
[-0.0125 .10642 -24 -4.5 ]
[-0.0125 .10642 0 4.5 ]
[-0.0125 .19813 -18 -4.5 ]
[-0.0125 .19813 0 4.5 ]
[-0.0125 .28984 -24 -4.5 ]
[-0.0125 .28984 0 4.5 ]
[-0.0125 .38155 -18 -4.5 ]
[-0.0125 .38155 0 4.5 ]
[-0.0125 .47326 -24 -4.5 ]
[-0.0125 .47326 0 4.5 ]
[-0.0125 .56497 -18 -4.5 ]
[-0.0125 .56497 0 4.5 ]
[0 .64303 -11 0 ]
[0 .64303 11 9.8125 ]
[.5 .63053 -23 0 ]
[.5 .63053 23 9.8125 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.2 .01472 m
.2 .02097 L
s
[(1)] .2 .00222 0 1 Mshowa
.4 .01472 m
.4 .02097 L
s
[(2)] .4 .00222 0 1 Mshowa
.6 .01472 m
.6 .02097 L
s
[(3)] .6 .00222 0 1 Mshowa
.8 .01472 m
.8 .02097 L
s
[(4)] .8 .00222 0 1 Mshowa
1 .01472 m
1 .02097 L
s
[(5)] 1 .00222 0 1 Mshowa
0 .01472 m
1 .01472 L
s
gsave
1.025 .01472 -61 -8.90625 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(x) show
69.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 .10642 m
.00625 .10642 L
s
[(0.05)] -0.0125 .10642 1 0 Mshowa
0 .19813 m
.00625 .19813 L
s
[(0.1)] -0.0125 .19813 1 0 Mshowa
0 .28984 m
.00625 .28984 L
s
[(0.15)] -0.0125 .28984 1 0 Mshowa
0 .38155 m
.00625 .38155 L
s
[(0.2)] -0.0125 .38155 1 0 Mshowa
0 .47326 m
.00625 .47326 L
s
[(0.25)] -0.0125 .47326 1 0 Mshowa
0 .56497 m
.00625 .56497 L
s
[(0.3)] -0.0125 .56497 1 0 Mshowa
.125 Mabswid
0 .03306 m
.00375 .03306 L
s
0 .0514 m
.00375 .0514 L
s
0 .06974 m
.00375 .06974 L
s
0 .08808 m
.00375 .08808 L
s
0 .12477 m
.00375 .12477 L
s
0 .14311 m
.00375 .14311 L
s
0 .16145 m
.00375 .16145 L
s
0 .17979 m
.00375 .17979 L
s
0 .21648 m
.00375 .21648 L
s
0 .23482 m
.00375 .23482 L
s
0 .25316 m
.00375 .25316 L
s
0 .2715 m
.00375 .2715 L
s
0 .30818 m
.00375 .30818 L
s
0 .32653 m
.00375 .32653 L
s
0 .34487 m
.00375 .34487 L
s
0 .36321 m
.00375 .36321 L
s
0 .39989 m
.00375 .39989 L
s
0 .41824 m
.00375 .41824 L
s
0 .43658 m
.00375 .43658 L
s
0 .45492 m
.00375 .45492 L
s
0 .4916 m
.00375 .4916 L
s
0 .50995 m
.00375 .50995 L
s
0 .52829 m
.00375 .52829 L
s
0 .54663 m
.00375 .54663 L
s
0 .58331 m
.00375 .58331 L
s
0 .60165 m
.00375 .60165 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
gsave
0 .64303 -72 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(PDF) show
81.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.5 .63053 -84 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 17.8125 translate 1 -1 scale
/g { setgray} bind def
/k { setcmykcolor} bind def
/p { gsave} bind def
/r { setrgbcolor} bind def
/w { setlinewidth} bind def
/C { curveto} bind def
/F { fill} bind def
/L { lineto} bind def
/rL { rlineto} bind def
/P { grestore} bind def
/s { stroke} bind def
/S { show} bind def
/N {currentpoint 3 -1 roll show moveto} bind def
/Msf { findfont exch scalefont [1 0 0 -1 0 0 ] makefont setfont} bind def
/m { moveto} bind def
/Mr { rmoveto} bind def
/Mx {currentpoint exch pop moveto} bind def
/My {currentpoint pop exch moveto} bind def
/X {0 rmoveto} bind def
/Y {0 exch rmoveto} bind def
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(300) show
81.000 11.250 moveto
(x300) show
105.000 11.250 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
1 0 0 r
0 .01472 m
0 .16297 L
.02 .16297 L
.02 .01472 L
F
0 g
.5 Mabswid
0 .01472 m
0 .16297 L
.02 .16297 L
.02 .01472 L
0 .01472 L
s
1 0 0 r
.02 .01472 m
.02 .3588 L
.04 .3588 L
.04 .01472 L
F
0 g
.02 .01472 m
.02 .3588 L
.04 .3588 L
.04 .01472 L
.02 .01472 L
s
1 0 0 r
.04 .01472 m
.04 .43404 L
.06 .43404 L
.06 .01472 L
F
0 g
.04 .01472 m
.04 .43404 L
.06 .43404 L
.06 .01472 L
.04 .01472 L
s
1 0 0 r
.06 .01472 m
.06 .47608 L
.08 .47608 L
.08 .01472 L
F
0 g
.06 .01472 m
.06 .47608 L
.08 .47608 L
.08 .01472 L
.06 .01472 L
s
1 0 0 r
.08 .01472 m
.08 .46723 L
.1 .46723 L
.1 .01472 L
F
0 g
.08 .01472 m
.08 .46723 L
.1 .46723 L
.1 .01472 L
.08 .01472 L
s
1 0 0 r
.1 .01472 m
.1 .47719 L
.12 .47719 L
.12 .01472 L
F
0 g
.1 .01472 m
.1 .47719 L
.12 .47719 L
.12 .01472 L
.1 .01472 L
s
1 0 0 r
.12 .01472 m
.12 .548 L
.14 .548 L
.14 .01472 L
F
0 g
.12 .01472 m
.12 .548 L
.14 .548 L
.14 .01472 L
.12 .01472 L
s
1 0 0 r
.14 .01472 m
.14 .54136 L
.16 .54136 L
.16 .01472 L
F
0 g
.14 .01472 m
.14 .54136 L
.16 .54136 L
.16 .01472 L
.14 .01472 L
s
1 0 0 r
.16 .01472 m
.16 .53583 L
.18 .53583 L
.18 .01472 L
F
0 g
.16 .01472 m
.16 .53583 L
.18 .53583 L
.18 .01472 L
.16 .01472 L
s
1 0 0 r
.18 .01472 m
.18 .54247 L
.2 .54247 L
.2 .01472 L
F
0 g
.18 .01472 m
.18 .54247 L
.2 .54247 L
.2 .01472 L
.18 .01472 L
s
1 0 0 r
.2 .01472 m
.2 .548 L
.22 .548 L
.22 .01472 L
F
0 g
.2 .01472 m
.2 .548 L
.22 .548 L
.22 .01472 L
.2 .01472 L
s
1 0 0 r
.22 .01472 m
.22 .54025 L
.24 .54025 L
.24 .01472 L
F
0 g
.22 .01472 m
.22 .54025 L
.24 .54025 L
.24 .01472 L
.22 .01472 L
s
1 0 0 r
.24 .01472 m
.24 .54025 L
.26 .54025 L
.26 .01472 L
F
0 g
.24 .01472 m
.24 .54025 L
.26 .54025 L
.26 .01472 L
.24 .01472 L
s
1 0 0 r
.26 .01472 m
.26 .49047 L
.28 .49047 L
.28 .01472 L
F
0 g
.26 .01472 m
.26 .49047 L
.28 .49047 L
.28 .01472 L
.26 .01472 L
s
1 0 0 r
.28 .01472 m
.28 .55906 L
.3 .55906 L
.3 .01472 L
F
0 g
.28 .01472 m
.28 .55906 L
.3 .55906 L
.3 .01472 L
.28 .01472 L
s
1 0 0 r
.3 .01472 m
.3 .50817 L
.32 .50817 L
.32 .01472 L
F
0 g
.3 .01472 m
.3 .50817 L
.32 .50817 L
.32 .01472 L
.3 .01472 L
s
1 0 0 r
.32 .01472 m
.32 .52698 L
.34 .52698 L
.34 .01472 L
F
0 g
.32 .01472 m
.32 .52698 L
.34 .52698 L
.34 .01472 L
.32 .01472 L
s
1 0 0 r
.34 .01472 m
.34 .49047 L
.36 .49047 L
.36 .01472 L
F
0 g
.34 .01472 m
.34 .49047 L
.36 .49047 L
.36 .01472 L
.34 .01472 L
s
1 0 0 r
.36 .01472 m
.36 .48272 L
.38 .48272 L
.38 .01472 L
F
0 g
.36 .01472 m
.36 .48272 L
.38 .48272 L
.38 .01472 L
.36 .01472 L
s
1 0 0 r
.38 .01472 m
.38 .4971 L
.4 .4971 L
.4 .01472 L
F
0 g
.38 .01472 m
.38 .4971 L
.4 .4971 L
.4 .01472 L
.38 .01472 L
s
1 0 0 r
.4 .01472 m
.4 .50264 L
.42 .50264 L
.42 .01472 L
F
0 g
.4 .01472 m
.4 .50264 L
.42 .50264 L
.42 .01472 L
.4 .01472 L
s
1 0 0 r
.42 .01472 m
.42 .47276 L
.44 .47276 L
.44 .01472 L
F
0 g
.42 .01472 m
.42 .47276 L
.44 .47276 L
.44 .01472 L
.42 .01472 L
s
1 0 0 r
.44 .01472 m
.44 .49268 L
.46 .49268 L
.46 .01472 L
F
0 g
.44 .01472 m
.44 .49268 L
.46 .49268 L
.46 .01472 L
.44 .01472 L
s
1 0 0 r
.46 .01472 m
.46 .57234 L
.48 .57234 L
.48 .01472 L
F
0 g
.46 .01472 m
.46 .57234 L
.48 .57234 L
.48 .01472 L
.46 .01472 L
s
1 0 0 r
.48 .01472 m
.48 .50374 L
.5 .50374 L
.5 .01472 L
F
0 g
.48 .01472 m
.48 .50374 L
.5 .50374 L
.5 .01472 L
.48 .01472 L
s
1 0 0 r
.5 .01472 m
.5 .5314 L
.52 .5314 L
.52 .01472 L
F
0 g
.5 .01472 m
.5 .5314 L
.52 .5314 L
.52 .01472 L
.5 .01472 L
s
1 0 0 r
.52 .01472 m
.52 .5823 L
.54 .5823 L
.54 .01472 L
F
0 g
.52 .01472 m
.52 .5823 L
.54 .5823 L
.54 .01472 L
.52 .01472 L
s
1 0 0 r
.54 .01472 m
.54 .60332 L
.56 .60332 L
.56 .01472 L
F
0 g
.54 .01472 m
.54 .60332 L
.56 .60332 L
.56 .01472 L
.54 .01472 L
s
1 0 0 r
.56 .01472 m
.56 .55906 L
.58 .55906 L
.58 .01472 L
F
0 g
.56 .01472 m
.56 .55906 L
.58 .55906 L
.58 .01472 L
.56 .01472 L
s
1 0 0 r
.58 .01472 m
.58 .5303 L
.6 .5303 L
.6 .01472 L
F
0 g
.58 .01472 m
.58 .5303 L
.6 .5303 L
.6 .01472 L
.58 .01472 L
s
1 0 0 r
.6 .01472 m
.6 .43625 L
.62 .43625 L
.62 .01472 L
F
0 g
.6 .01472 m
.6 .43625 L
.62 .43625 L
.62 .01472 L
.6 .01472 L
s
1 0 0 r
.62 .01472 m
.62 .40527 L
.64 .40527 L
.64 .01472 L
F
0 g
.62 .01472 m
.62 .40527 L
.64 .40527 L
.64 .01472 L
.62 .01472 L
s
1 0 0 r
.64 .01472 m
.64 .35217 L
.66 .35217 L
.66 .01472 L
F
0 g
.64 .01472 m
.64 .35217 L
.66 .35217 L
.66 .01472 L
.64 .01472 L
s
1 0 0 r
.66 .01472 m
.66 .3234 L
.68 .3234 L
.68 .01472 L
F
0 g
.66 .01472 m
.66 .3234 L
.68 .3234 L
.68 .01472 L
.66 .01472 L
s
1 0 0 r
.68 .01472 m
.68 .27361 L
.7 .27361 L
.7 .01472 L
F
0 g
.68 .01472 m
.68 .27361 L
.7 .27361 L
.7 .01472 L
.68 .01472 L
s
1 0 0 r
.7 .01472 m
.7 .24263 L
.72 .24263 L
.72 .01472 L
F
0 g
.7 .01472 m
.7 .24263 L
.72 .24263 L
.72 .01472 L
.7 .01472 L
s
1 0 0 r
.72 .01472 m
.72 .24595 L
.74 .24595 L
.74 .01472 L
F
0 g
.72 .01472 m
.72 .24595 L
.74 .24595 L
.74 .01472 L
.72 .01472 L
s
1 0 0 r
.74 .01472 m
.74 .20059 L
.76 .20059 L
.76 .01472 L
F
0 g
.74 .01472 m
.74 .20059 L
.76 .20059 L
.76 .01472 L
.74 .01472 L
s
1 0 0 r
.76 .01472 m
.76 .17846 L
.78 .17846 L
.78 .01472 L
F
0 g
.76 .01472 m
.76 .17846 L
.78 .17846 L
.78 .01472 L
.76 .01472 L
s
1 0 0 r
.78 .01472 m
.78 .1508 L
.8 .1508 L
.8 .01472 L
F
0 g
.78 .01472 m
.78 .1508 L
.8 .1508 L
.8 .01472 L
.78 .01472 L
s
1 0 0 r
.8 .01472 m
.8 .14084 L
.82 .14084 L
.82 .01472 L
F
0 g
.8 .01472 m
.8 .14084 L
.82 .14084 L
.82 .01472 L
.8 .01472 L
s
1 0 0 r
.82 .01472 m
.82 .14195 L
.84 .14195 L
.84 .01472 L
F
0 g
.82 .01472 m
.82 .14195 L
.84 .14195 L
.84 .01472 L
.82 .01472 L
s
1 0 0 r
.84 .01472 m
.84 .11761 L
.86 .11761 L
.86 .01472 L
F
0 g
.84 .01472 m
.84 .11761 L
.86 .11761 L
.86 .01472 L
.84 .01472 L
s
1 0 0 r
.86 .01472 m
.86 .12425 L
.88 .12425 L
.88 .01472 L
F
0 g
.86 .01472 m
.86 .12425 L
.88 .12425 L
.88 .01472 L
.86 .01472 L
s
1 0 0 r
.88 .01472 m
.88 .12867 L
.9 .12867 L
.9 .01472 L
F
0 g
.88 .01472 m
.88 .12867 L
.9 .12867 L
.9 .01472 L
.88 .01472 L
s
1 0 0 r
.9 .01472 m
.9 .11097 L
.92 .11097 L
.92 .01472 L
F
0 g
.9 .01472 m
.9 .11097 L
.92 .11097 L
.92 .01472 L
.9 .01472 L
s
1 0 0 r
.92 .01472 m
.92 .11097 L
.94 .11097 L
.94 .01472 L
F
0 g
.92 .01472 m
.92 .11097 L
.94 .11097 L
.94 .01472 L
.92 .01472 L
s
1 0 0 r
.94 .01472 m
.94 .09216 L
.96 .09216 L
.96 .01472 L
F
0 g
.94 .01472 m
.94 .09216 L
.96 .09216 L
.96 .01472 L
.94 .01472 L
s
1 0 0 r
.96 .01472 m
.96 .10876 L
.98 .10876 L
.98 .01472 L
F
0 g
.96 .01472 m
.96 .10876 L
.98 .10876 L
.98 .01472 L
.96 .01472 L
s
1 0 0 r
.98 .01472 m
.98 .11429 L
1 .11429 L
1 .01472 L
F
0 g
.98 .01472 m
.98 .11429 L
1 .11429 L
1 .01472 L
.98 .01472 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{252.813, 156.25},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40003l0000W1000`40O003h00Oo7oo003lOol00?ao
o`00@Woo10009Woo10009goo0P00:Goo00<007ooOol09Goo0`003goo0014Ool00`00Oomoo`0UOol0
0`00Oomoo`0WOol01000Oomoo`00:7oo00<007ooOol0:7oo00<007ooOol037oo0014Ool00`00Oomo
o`0VOol00`00Oomoo`0YOol00`00Oomoo`0SOol5000YOol00`00Oomoo`0<Ool004Aoo`03001oogoo
02Moo`03001oogoo02Ioo`8002Ioo`04001oogoo000WOol3000?Ool004Aoo`03001oogoo02Qoo`03
001oogoo02Moo`03001oogoo02Aoo`03001oo`0002Moo`03001oogoo00moo`00@Woo0`009goo00@0
07ooOol002Ioo`04001oogoo000WOol2000WOol00`00Oomoo`0?Ool004Aoo`03001oogoo02Ioo`80
02Qoo`8002Uoo`03001oogoo02Eoo`@000ioo`006Woo00<007ooOol0ggoo000JOol00`00Oomoo`3F
Ool200000goo00000004Ool001Yoo`03001oogoo0=Moo`03001oo`0000Eoo`006Wood`0027oo00<0
07ooOol017oo000JOol01@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003
001l07`0009l0005001l07`0O0000003O0000`00Oomoo`05Ool00`00Ool00005Ool001Yoo`05001l
07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l
07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0003001oogoo00Aoo`800003Ool0000000Aoo`006Woo00D007`0O01l000000Al0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000<007ooOol0
3Goo000JOol01@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0000`00Oomoo`0=Ool001Yoo`05001l07`0O0000004O0001@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000
0003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0003001oogoo00eo
o`006Woo00D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`0
00000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`0
00000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002
O0001@00O01l07`000000g`000<007ooOol03Goo000JOol01@00O01l07`0000017`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0000`00Oomoo`0=Ool0
01Yoo`05001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l0000
00=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l0000
00=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`0
00D007`0O01l000000=l0003001oogoo00eoo`006Woo00D007`0O01l000000Al0005001l07`0O000
0003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l
0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O000
0003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l
0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000<007ooOol03Goo000J
Ool01@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002
O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003
O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003
O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002
O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003
O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0000`00Oomoo`0=Ool001Yoo`05001l07`0O0000004O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0003001oogoo00eoo`006Woo
00D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`0
00D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`0
00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000<007ooOol03Goo000JOol01@00O01l07`0000017`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0000`00Oomoo`0=Ool001Yoo`05
001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005
001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003
001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0
O01l000000=l0003001oogoo00eoo`006Woo00D007`0O01l000000Al0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000<007ooOol03Goo000JOol01@00
O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00
O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l00H000=l0005001l07`0O000000?
Ool0009oo`8000Aoo`03001oogoo00=oo`8000=oo`<000Aoo`05001l07`0O0000004O0001@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000
0003O0001@00O01l07`000000g`000<007ooOol00Woo00D007`0O01l000000=l0003001oogoo00eo
o`0000Eoo`00Oomoo`0000Qoo`04001oogoo0005Ool01@00Oomoogoo00000g`000<007`0O0000W`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`0
00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`0
00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001oogoo009oo`05001l07`0O0000003O0000`00
Oomoo`0=Ool00005Ool007ooOol00008Ool01000Oomoo`001Goo00D007ooOomoo`0000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l
000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00Oomoo`02Ool01@00O01l07`00000
0g`000<007ooOol03Goo00001Goo001oogoo000027oo00@007ooOol0009oo`<000Aoo`05001l07`0
O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0
O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0090004Ool50003O0000`00Oomoo`0=Ool00005Ool007ooOol00008
Ool01000Oomoo`000Woo00<007ooOol017oo00D007`0O01l000000Al0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`01P000g`000D007`0O01l0000011oo`D000moo`0000Eo
o`00Oomoo`0000Qoo`04001oogoo0002Ool00`00Oomoo`04Ool01@00O01l07`0000017`000D007`0
O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0
O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00Oomoo`02Ool01@00O01l07`0
00000g`000<007ooOol08Woo0002Ool2000:Ool20003Ool40003Ool01@00O01l07`0000017`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00Oomoo`02Ool50003O000
0`00Oomoo`0ROol001Yoo`05001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l0000
00=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l0000
00=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001oogoo00Ioo`D002Aoo`006Woo00D007`0O01l000000Al0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007ooOol0;goo000JOol01@00
O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00
O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l00D000=l0003001oogoo02moo`00
6Woo00D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001000Oomoogoo1@00
<Goo000JOol01@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000@007`0O01l00D003Uoo`006Woo00D0
07`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D0
07`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O000000mOol001Yoo`05001l07`0O0000004
O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003
O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004
O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003
O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`00000?Goo000JOol50004O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`00000?Goo000JOol01@00Oomoogoo000017`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000003eoo`00
6Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000000mOol001Yoo`80009oo`03
001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0
O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0
O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0
O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l00D003eoo`006Woo00D007ooOomoo`0000Al0005001l07`0O000
0003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l
0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O000
0003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l
0003001oogoo03moo`0027oo0P0017oo00<007ooOol00Woo10000goo00D007ooOomoo`0000Al0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003
001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003
001l07`0009l0003001oogoo03moo`001goo00@007ooOol000Yoo`03001oogoo009oo`05001oogoo
Ool00004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0
O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0000`00Oomoo`0oOol000Moo`04001oogoo000:Ool00`00Oomoo`02
Ool20002Ool00`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l0000
00=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0000`00Oomoo`0oOol000Moo`04001oogoo000:
Ool00`00Oomoo`02Ool01@00Oomoogoo000017`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`01P00@Goo0007Ool01000Oomoo`002Woo00<007oo
Ool00Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`0
00000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001oogoo04Aoo`001goo00@007ooOol000Qoo`<000Aoo`05
001oogooOol00004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005
001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00Oomoo`14Ool000Qoo`8000]oo`03001oogoo009oo`80009oo`03001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l
000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001oogoo04Aoo`006Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001oogoo04Aoo`006Woo00D0
07ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D0
07`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001oogoo04Aoo`006Woo00D007ooOomoo`0000Al0005001l07`0O0000003
O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003
O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003
O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001oogoo04Aoo`00
6Woo0P000Woo00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000
0003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O000
0003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000
0003O0001@00O01l07`000000g`000<007ooOol0A7oo000JOol01@00Oomoogoo000017`000D007`0
O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0
O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007oo
Ool0A7oo000JOol01@00Oomoogoo000017`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0090016Ool001Yoo`05001oogooOol00004O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0003001oogoo04aoo`006Woo0P000Woo00<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0000`00Oomoo`1<Ool001Yoo`05
001oogooOol00004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005
001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0003
001oogoo04aoo`006Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O000
1@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000<007ooOol0C7oo000JOol01@00Oomoogoo000017`000D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l0000
00=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`0
00D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l0000
00=l0003001l07`0009l0005001l07`0O0000003O0000`00Oomoo`1<Ool001Yoo`80009oo`03001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l
000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001000O01l07`01@00CWoo000JOol01@00
Oomoogoo000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00
O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000001BOol0009o
o`8000Aoo`03001oogoo009oo`@0009oo`<000Aoo`05001oogooOol00004O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l0000059oo`0000Eoo`00Oomoo`0000Yoo`03001oogoo00Ao
o`05001oogooOol00003Ool00`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l0000059oo`0000Eoo`00Oomoo`0000Yoo`03001oogoo00Aoo`04001oogooOol20002Ool0
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l
07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l0000059oo`0000Eo
o`00Oomoo`0000Yoo`04001oogooOol30004Ool01@00Oomoogoo000017`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O000001BOol00005Ool007ooOol0000:Ool01@00Oomoogoo0000
1Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O000
0W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`00000
DWoo00001Goo001oogoo000027oo0`000goo00<007ooOol017oo0P000Woo00<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O000001BOol0009oo`8000]oo`04001oogoo
Ool40003Ool01@00Oomoogoo000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O000001BOol001Yoo`05001oogooOol00004O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l0000059oo`006Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`0
00000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002
O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003
O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`0
00000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002
O0001@00O01l07`00000DWoo000JOol20002Ool00`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`01@00DWoo000JOol01@00Oomoogoo000017`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l0000
00=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0003001oogoo05Aoo`006Woo00D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O000
0003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0000`00Oomoo`1DOol001Yoo`05001oogooOol00004O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000<007ooOol0E7oo000JOol20002Ool00`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000<007ooOol0E7oo000JOol01@00Oomoogoo000017`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003
001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0
O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003
001l07`0009l0003001oogoo05Aoo`006Woo00D007ooOomoo`0000Al0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O006
001FOol001Yoo`04001oogooOol60003O0001@00O01l07`000000g`000D007`0O01l000000Al0005
001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005
001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005
001l07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0001@00O01l07`000000g`000<007ooOol0FGoo000JOol20007Ool01@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l
0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007ooOol0FGoo000JOol00`00Oomoo`06Ool01@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007oo
Ool0FGoo0008Ool20004Ool00`00Oomoo`02Ool40003Ool00`00Oomoo`06Ool01@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007ooOol0FGoo0007Ool01000Oomoo`0027oo00<007ooOol017oo00<007ooOol01Woo00D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001oogoo05Uoo`001goo00@007ooOol000Uoo`03001oogoo00=oo`8000Mo
o`05001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al
0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l
0005001l07`0O0000003O0000`00Oomoo`1IOol000Moo`04001oogoo000:Ool00`00Oomoo`02Ool0
0`00Oomoo`06Ool01@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l
07`0O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l
07`0O0000003O0001@00O01l07`000000g`000<007ooOol0FGoo0007Ool01000Oomoo`002goo00D0
07ooOomoo`0000Qoo`05001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D0
07`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D0
07`0O01l000000=l0005001l07`0O0000003O0000`00Oomoo`1IOol000Moo`04001oogoo0008Ool0
1000Oomoo`000goo00<007ooOol01Woo00D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001oogoo05Uoo`0027oo0P00
2Woo0P0017oo0P001goo00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O000
1@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
1@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0003001oogoo05Uoo`006Woo00<007ooOol01Woo
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`0
00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0000017`0
00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`0
00@007`0O01l00D005]oo`006Woo00<007ooOol01Woo00D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l
0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l
0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000005moo`006Woo00<007oo
Ool01Woo00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`0
00000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0
000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000005moo`006Woo0P001goo00D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l
0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l
0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O000
0003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000005moo`006Woo00<007oo
Ool01Woo00D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`0
00000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l07`0
000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000005moo`006Woo00<007ooOol01Woo00D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l
07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0005001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l
07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000005moo`006Woo
0P001goo1@000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O005001O
Ool001Yoo`03001oogoo00Yoo`05001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l
000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l
000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l
000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l
000000=l0003001oogoo065oo`006Woo00<007ooOol02Woo00D007`0O01l000000=l0005001l07`0
O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000<007ooOol0HGoo000JOol00`00Oomoo`0:Ool01@00O01l
07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00O01l07`000000g`000<0
07`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D0
07`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0000`00Oomoo`1QOol001Yoo`80
00]oo`05001l07`0O0000003O0001@00O01l07`0000017`000D007`0O01l000000=l0005001l07`0
O0000003O0000`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0
009l0005001l07`0O0000003O0001@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0003001oogoo
065oo`006Woo00<007ooOol02Woo00D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l
07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l
07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0001@00O01l
07`0000017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`000000g`000<007ooOol0HGoo0002Ool20004Ool00`00Oomoo`02Ool40002Ool30004Ool00`00
Oomoo`0:Ool01@00O01l07`000000g`000D007`0O01l000000Al0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00
O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0000`00
Oomoo`1QOol00005Ool007ooOol00008Ool00`00Oomoo`06Ool01@00Oomoogoo000037oo00@007`0
O01l00D000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`000000g`000<007`0
O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l07`000000g`000D007`0
O01l000000=l0003001l07`0009l0005001l07`0O0000003O0000`00Oomoo`1QOol00005Ool007oo
Ool00009Ool00`00Oomoo`05Ool01000Oomoogoo0P002goo00D007`0O01l000000=oo`05001l07`0
O0000004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0005001l07`0
O0000003O0050004O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005
001l07`0O0000003O0000`00Oomoo`1QOol00005Ool007ooOol0000:Ool01000Oomoogoo0`0017oo
00<007ooOol02Woo1@000goo1@0017`000D007`0O01l000000=l0005001l07`0O0000003O0000`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003O0001@00O01l07`000000g`000D007ooOomoo`0000Al0005001l07`0O0000003O0001@00
O01l07`000000g`000<007`0O0000W`000D007`0O01l000000=l0003001oogoo065oo`0000Eoo`00
Oomoo`0000]oo`04001oogoo0006Ool00`00Oomoo`0FOol00`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O0001@00O01l07`00000
0g`000<007`0O0000W`000@007`0O01l00D000=l0005001l07`0O0000003Ool00`00O01l0002O000
1@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003O000
0`00Oomoo`1QOol00005Ool007ooOol00008Ool01000Oomoo`000Woo00<007ooOol017oo00<007oo
Ool05Woo00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O0000`00O01l0002
O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003
Ool01@00O01l07`000000g`000D007ooOomoo`0000Al0005001l07`0O0000003O0001@00O01l07`0
00000g`000<007`0O0000W`000D007`0O01l000000=l0003001oogoo065oo`000Woo0P002Woo0P00
0goo10000goo0P005goo00<007`0O0000W`000D007`0O01l000000=l0005001l07`0O0000003O000
0`00O01l0002O0001000O01l07`01@000g`000D007`0O01l000000Al00D000=oo`05001l07`0O000
0003O0001000Oomoogoo1P000g`000D007`0O01l000000=l0005001l07`0O0000004O0001@00O01l
07`000000g`000<007ooOol0HGoo000JOol00`00Oomoo`0FOol00`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003Ool01@00O01l07`0
00000g`000<007`0O0000W`000<007ooOol01Goo1@000g`000<007ooOol01Woo00D007`0O01l0000
00=l0005001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000<007ooOol0HGoo
000JOol00`00Oomoo`0FOol00`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003Ool01@00O01l07`000000g`000<007`0O0000W`000<0
07ooOol02Goo1@0027oo00@007`0O01l00D000=l0005001l07`0O0000004O0001@00O01l07`00000
0g`000<007ooOol0HGoo000JOol00`00Oomoo`0FOol00`00O01l0002O0001@00O01l07`000000g`0
00D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003Ool01000O01l07`01@0017`0
00<007ooOol05Woo00D007`0O01l000000=oo`05001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000<007ooOol0HGoo000JOol2000GOol00`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003Ool01@00O01l07`00000
0goo00<007`0O0000W`000<007ooOol05Woo00D007`0O01l000000=oo`05001l07`0O0000003O000
0`00O01l0002O0001@00O01l07`000000g`000<007ooOol0HGoo000JOol00`00Oomoo`0FOol00`00
O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0
O0000003Ool01@00O01l07`000000goo00<007`0O0000W`000<007ooOol05Woo00D007`0O01l0000
00=oo`05001l07`0O0000003O0000`00O01l0002O0001@00O01l07`000000g`000<007ooOol0HGoo
000JOol00`00Oomoo`0FOol00`00O01l0002O0001@00O01l07`000000g`000D007`0O01l000000=l
0003001l07`0009l0005001l07`0O0000003Ool01@00O01l07`000000goo00<007`0O0000W`000<0
07ooOol05Woo00D007`0O01l000000=oo`05001l07`0O0000003O0000`00O01l0002O0001@00O01l
07`000000g`000<007ooOol0HGoo000JOol00`00Oomoo`0FOol00`00O01l0002O0001@00O01l07`0
00000g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003Ool01@00O01l07`0
00000goo1P0067oo00D007`0O01l000000=oo`05001l07`0O0000003O0000`00O01l0002O0001@00
O01l07`000000g`000<007ooOol0HGoo000JOol2000GOol00`00O01l0002O0001@00O01l07`00000
0g`000D007`0O01l000000=l0003001l07`0009l0005001l07`0O0000003Ool01@00O01l07`00000
8Goo00D007`0O01l000000=oo`D000=l0003001l07`0009l0004001l07`0O005001SOol001Yoo`03
001oogoo01Ioo`03001l07`0009l0004001l07`0O0050003O0001@00O01l07`0000017`000D007`0
O01l000000=oo`05001l07`0O000000QOol01@00O01l07`000001goo00D007`0O01l000000Al0005
001l07`0O000001WOol001Yoo`03001oogoo01Ioo`03001l07`0009l00D000=oo`05001l07`0O000
0003O00:0003Ool01@00O01l07`000008Goo00D007`0O01l000000Moo`05001l07`0O0000004O000
1@00O01l07`00000Igoo000JOol2000GOol00`00O01l0002O0000`00Oomoo`05Ool50003O0000`00
Oomoo`0:Ool01@00O01l07`000008Goo00D007`0O01l000000Moo`05001l07`0O0000004O0001@00
O01l07`00000Igoo000JOol00`00Oomoo`0FOol6000;Ool5000<Ool01@00O01l07`000008Goo00D0
07`0O01l000000Moo`05001l07`0O0000004O0001@00O01l07`00000Igoo0008Ool20004Ool00`00
Oomoo`03Ool20004Ool00`00Oomoo`0hOol01@00O01l07`000008Goo00D007`0O01l000000Moo`05
001l07`0O0000004O0001@00O01l07`00000Igoo0007Ool01000Oomoo`0027oo00@007ooOol000=o
o`03001oogoo03Qoo`D0025oo`05001l07`0O0000007Ool01@00O01l07`0000017`01@00Igoo0007
Ool01000Oomoo`002goo00@007ooOomoo`8005moo`05001l07`0O0000007Ool01@00O01l07`00000
17`000<007ooOol0JGoo0007Ool01000Oomoo`002Goo0P0017oo00<007ooOol0GWoo00D007`0O01l
000000Moo`05001l07`0O0000004O0000`00Oomoo`1YOol000Moo`04001oogoo000;Ool01@00Oomo
ogoo0000H7oo1@001goo00D007`0O01l000000Al0003001oogoo06Uoo`001goo00@007ooOol000Qo
o`04001oogoo0003Ool00`00Oomoo`1ZOol01@00O01l07`0000017`000<007ooOol0JGoo0008Ool2
000:Ool20004Ool2001[Ool50004O0000`00Oomoo`1YOol001Yoo`03001oogoo06ioo`03001l07`0
009l0003001oogoo06Uoo`006Woo00<007ooOol0KWoo00<007`0O0000W`000<007ooOol0JGoo000J
Ool00`00Oomoo`1^Ool00`00O01l0002O0000`00Oomoo`1YOol001Yoo`8006moo`H006]oo`006Woo
00<007ooOol0ggoo000JOol00`00Oomoo`3OOol001Yoo`03001oogoo0=moo`00o7oo003lOol00?ao
o`00o7oo003lOol00?aoo`00L7oo0P0017oo0P0017oo0P000Woo0P0000=oo`0000000goo0P0017oo
0P0017oo0P00IWoo001_Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo0002Ool00`00
Ool00003Ool01000Oomoo`000Woo00@007ooOol0009oo`04001oogoo001UOol0015oo`<000=oo`@0
009oo`<0059oo`04001oogoo0002Ool01000Oomoo`000Woo00D007ooOomoo`0000Moo`04001oogoo
0002Ool01000Oomoo`000Woo00<007ooOol0Hgoo000BOol00`00Oomoo`03Ool01000Oomoo`000Woo
00<007ooOol0Cgoo0P000goo00@007ooOol0009oo`04001oogoo0002Ool00`00Ool00004Ool20003
Ool01000Oomoo`000Woo00@007ooOol006Eoo`004Woo0`000goo00@007ooOol0009oo`03001oo`00
055oo`04001oogoo0002Ool01000Oomoo`000Woo00D007oo000007oo008000Eoo`04001oogoo0002
Ool01000Oomoo`000Woo00<007ooOol0Hgoo000BOol01000Oomoo`000Woo00@007ooOol0009oo`<0
04ioo`04001oogoo0002Ool01000Oomoo`000Woo00@007ooOol000Qoo`04001oogoo0002Ool01000
Oomoo`000Woo00@007ooOol006Eoo`004Woo00@007ooOol0009oo`04001oogoo0002Ool01000Oomo
o`00CWoo0P0017oo0P0017oo0P002Woo0P0017oo0P0017oo0P00IWoo000AOol40002Ool40002Ool5
003JOol00?aoo`00o7oo0000\
\>"],
  ImageRangeCache->{{{0, 251.813}, {155.25, 0}} -> {-0.634124, -0.0326616, \
0.0238166, 0.00259696}}]
}, Open  ]],

Cell[BoxData[
    RowBox[{
      StyleBox[\( (*Save\ the\ data\ to\ a\ file\ is\ a\ good\ idea*) \),
        FontWeight->"Plain",
        FontSlant->"Italic"], 
      "\[IndentingNewLine]", \(zprimes300 >> \
"\<~/toan/RandomMatrix/Data/zpr300.dat\>";\)}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    RowBox[{\(Max[Abs[f /. x \[Rule] temp]]\), " ", 
      StyleBox[\( (*Test\ the\ precision*) \),
        FontWeight->"Plain",
        FontSlant->"Italic"]}]], "Input"],

Cell[BoxData[
    \(7.959664309508196`*^-7\)], "Output"]
}, Open  ]]
},
FrontEndVersion->"4.2 for Microsoft Windows",
ScreenRectangle->{{0, 959}, {0, 715}},
WindowSize->{595, 681},
WindowMargins->{{Automatic, 113}, {Automatic, -48}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 1805, 49, 110, "Input"],
Cell[3562, 102, 54, 1, 30, "Input"],
Cell[3619, 105, 53, 1, 30, "Input"],
Cell[3675, 108, 1708, 39, 250, "Input"],

Cell[CellGroupData[{
Cell[5408, 151, 298, 5, 70, "Input"],
Cell[5709, 158, 65263, 1642, 165, 13147, 994, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[70987, 1803, 265, 6, 50, "Input"],

Cell[CellGroupData[{
Cell[71277, 1813, 184, 4, 30, "Input"],
Cell[71464, 1819, 56, 1, 29, "Output"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

