(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     35345,        780]*)
(*NotebookOutlinePosition[     35988,        802]*)
(*  CellTagsIndexPosition[     35944,        798]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
    \(\("\<Declarations/Initializations\>";\)\), "\[IndentingNewLine]", 
    \(\(n = 10;\)\), "\[IndentingNewLine]", 
    \(\(P[x_] := x^n\  - \ 1;\)\), "\[IndentingNewLine]", 
    \(\(maxVal\  = \ 10;\)\), "\[IndentingNewLine]", 
    \(\(myIncrement =  .1;\)\), "\[IndentingNewLine]", 
    \(zeroList = listZeros[P[x]]\), "\[IndentingNewLine]", 
    \(PCoordList = coordinateZeros[P[x]]\), "\[IndentingNewLine]", 
    \(\(myCircle = 
        ParametricPlot[{Cos[t], Sin[t]}, {t, 0, 2\ Pi}, 
          AspectRatio \[Rule] 1];\)\), "\[IndentingNewLine]", 
    \(\(rootToJiggle = 3;\)\)}], "Input"],

Cell[BoxData[
    \({\(-0.9999999999999999`\), \(-0.8090169943749475`\) - 
        0.5877852522924731`\ \[ImaginaryI], \(-0.8090169943749475`\) + 
        0.5877852522924731`\ \[ImaginaryI], \(-0.3090169943749474`\) - 
        0.9510565162951535`\ \[ImaginaryI], \(-0.3090169943749474`\) + 
        0.9510565162951535`\ \[ImaginaryI], \(\(0.3090169943749473`\)\(\
\[InvisibleSpace]\)\) - 
        0.9510565162951535`\ \[ImaginaryI], \(\(0.3090169943749473`\)\(\
\[InvisibleSpace]\)\) + 
        0.9510565162951535`\ \[ImaginaryI], \(\(0.8090169943749476`\)\(\
\[InvisibleSpace]\)\) - 
        0.5877852522924732`\ \[ImaginaryI], \(\(0.8090169943749476`\)\(\
\[InvisibleSpace]\)\) + 0.5877852522924732`\ \[ImaginaryI], 1.`}\)], "Output"],

Cell[BoxData[
    \({{\(-0.9999999999999999`\), 
        0}, {\(-0.8090169943749475`\), \(-0.5877852522924731`\)}, \
{\(-0.8090169943749475`\), 
        0.5877852522924731`}, {\(-0.3090169943749474`\), \
\(-0.9510565162951535`\)}, {\(-0.3090169943749474`\), 
        0.9510565162951535`}, {0.3090169943749473`, \
\(-0.9510565162951535`\)}, {0.3090169943749473`, 
        0.9510565162951535`}, {0.8090169943749476`, \
\(-0.5877852522924732`\)}, {0.8090169943749476`, 0.5877852522924732`}, {1.`, 
        0}}\)], "Output"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.499998 0.476192 0.5 0.476191 [
[.02381 .4875 -6 -9 ]
[.02381 .4875 6 0 ]
[.2619 .4875 -12 -9 ]
[.2619 .4875 12 0 ]
[.73809 .4875 -9 -9 ]
[.73809 .4875 9 0 ]
[.97619 .4875 -3 -9 ]
[.97619 .4875 3 0 ]
[.4875 .02381 -12 -4.5 ]
[.4875 .02381 0 4.5 ]
[.4875 .2619 -24 -4.5 ]
[.4875 .2619 0 4.5 ]
[.4875 .7381 -18 -4.5 ]
[.4875 .7381 0 4.5 ]
[.4875 .97619 -6 -4.5 ]
[.4875 .97619 0 4.5 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 .5 m
.02381 .50625 L
s
[(-1)] .02381 .4875 0 1 Mshowa
.2619 .5 m
.2619 .50625 L
s
[(-0.5)] .2619 .4875 0 1 Mshowa
.73809 .5 m
.73809 .50625 L
s
[(0.5)] .73809 .4875 0 1 Mshowa
.97619 .5 m
.97619 .50625 L
s
[(1)] .97619 .4875 0 1 Mshowa
.125 Mabswid
.07143 .5 m
.07143 .50375 L
s
.11904 .5 m
.11904 .50375 L
s
.16666 .5 m
.16666 .50375 L
s
.21428 .5 m
.21428 .50375 L
s
.30952 .5 m
.30952 .50375 L
s
.35714 .5 m
.35714 .50375 L
s
.40476 .5 m
.40476 .50375 L
s
.45238 .5 m
.45238 .50375 L
s
.54762 .5 m
.54762 .50375 L
s
.59524 .5 m
.59524 .50375 L
s
.64286 .5 m
.64286 .50375 L
s
.69048 .5 m
.69048 .50375 L
s
.78571 .5 m
.78571 .50375 L
s
.83333 .5 m
.83333 .50375 L
s
.88095 .5 m
.88095 .50375 L
s
.92857 .5 m
.92857 .50375 L
s
.25 Mabswid
0 .5 m
1 .5 L
s
.5 .02381 m
.50625 .02381 L
s
[(-1)] .4875 .02381 1 0 Mshowa
.5 .2619 m
.50625 .2619 L
s
[(-0.5)] .4875 .2619 1 0 Mshowa
.5 .7381 m
.50625 .7381 L
s
[(0.5)] .4875 .7381 1 0 Mshowa
.5 .97619 m
.50625 .97619 L
s
[(1)] .4875 .97619 1 0 Mshowa
.125 Mabswid
.5 .07143 m
.50375 .07143 L
s
.5 .11905 m
.50375 .11905 L
s
.5 .16667 m
.50375 .16667 L
s
.5 .21429 m
.50375 .21429 L
s
.5 .30952 m
.50375 .30952 L
s
.5 .35714 m
.50375 .35714 L
s
.5 .40476 m
.50375 .40476 L
s
.5 .45238 m
.50375 .45238 L
s
.5 .54762 m
.50375 .54762 L
s
.5 .59524 m
.50375 .59524 L
s
.5 .64286 m
.50375 .64286 L
s
.5 .69048 m
.50375 .69048 L
s
.5 .78571 m
.50375 .78571 L
s
.5 .83333 m
.50375 .83333 L
s
.5 .88095 m
.50375 .88095 L
s
.5 .92857 m
.50375 .92857 L
s
.25 Mabswid
.5 0 m
.5 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
.5 Mabswid
.97619 .5 m
.97618 .50369 L
.97614 .50705 L
.97606 .51093 L
.97597 .5146 L
.97572 .52111 L
.97536 .52818 L
.97483 .53596 L
.97414 .5442 L
.97253 .55893 L
.97039 .57409 L
.96795 .58822 L
.96081 .62007 L
.95129 .65197 L
.94065 .68052 L
.91017 .74191 L
.87673 .79125 L
.83352 .83988 L
.78673 .88019 L
.73155 .9161 L
.7028 .93084 L
.67066 .94456 L
.64214 .95448 L
.61017 .96327 L
.5949 .96664 L
.57842 .96969 L
.5641 .97186 L
.54845 .97372 L
.53926 .97457 L
.53074 .9752 L
.52259 .97565 L
.51847 .97583 L
.51392 .97599 L
.50983 .97609 L
.50609 .97615 L
.50197 .97619 L
.4999 .97619 L
.49764 .97618 L
.49381 .97615 L
.48973 .97608 L
.48587 .97598 L
.48236 .97586 L
.47512 .97554 L
.46715 .97506 L
.45109 .97367 L
.43626 .9719 L
.42244 .96983 L
.39155 .96368 L
.3589 .95481 L
.32884 .94437 L
Mistroke
.29695 .93073 L
.24178 .9001 L
.19207 .86323 L
.14489 .81726 L
.10369 .764 L
.07215 .70905 L
.05955 .681 L
.04825 .65059 L
.03956 .62147 L
.03328 .59452 L
.02828 .56509 L
.02631 .54878 L
.0256 .54128 L
.02497 .5333 L
.02454 .52649 L
.02436 .52287 L
.02418 .51897 L
.02406 .5154 L
.02396 .51212 L
.02389 .509 L
.02384 .50571 L
.02381 .50211 L
.02381 .49827 L
.02384 .49465 L
.02388 .49136 L
.02397 .48749 L
.0241 .4833 L
.02443 .4757 L
.02486 .46828 L
.02546 .46033 L
.02688 .446 L
.02913 .42902 L
.03171 .41361 L
.03905 .38047 L
.04818 .3496 L
.07174 .29179 L
.10012 .24143 L
.13486 .19433 L
.17963 .14769 L
.22702 .10982 L
.28309 .07608 L
.3408 .05121 L
.37094 .04163 L
.38817 .03713 L
.40459 .03347 L
.41978 .03062 L
.43635 .02808 L
.45149 .02629 L
.4655 .02506 L
.47334 .02456 L
Mistroke
.48068 .0242 L
.48489 .02405 L
.48874 .02394 L
.49087 .0239 L
.49319 .02386 L
.49538 .02383 L
.49741 .02382 L
.49954 .02381 L
.50184 .02381 L
.50401 .02383 L
.50601 .02385 L
.5098 .02391 L
.5138 .02401 L
.5181 .02415 L
.52212 .02432 L
.53124 .02484 L
.5394 .02544 L
.54693 .02613 L
.56393 .02812 L
.57886 .03038 L
.59461 .0333 L
.62161 .0396 L
.65091 .04836 L
.70722 .07126 L
.76408 .10374 L
.81405 .14205 L
.86069 .18909 L
.89804 .23861 L
.92672 .28865 L
.94037 .31879 L
.95129 .34804 L
.95954 .37519 L
.9665 .4044 L
.9707 .42788 L
.97256 .44131 L
.97395 .45391 L
.97494 .4655 L
.97559 .47611 L
.97585 .48197 L
.97596 .48507 L
.97605 .48836 L
.97612 .49153 L
.97616 .4944 L
.97618 .49729 L
.97619 .5 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 288},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P000182000`400?l00000o`00003oS`3oool0
0`000000oooo0?ooo`2>0?ooo`00S`3oool00`000000oooo0?ooo`2>0?ooo`00S`3oool00`000000
oooo0?ooo`2>0?ooo`00S`3oool00`000000oooo0?ooo`2>0?ooo`00S`3oool00`000000oooo0?oo
o`2>0?ooo`00QP3oool4000000D0oooo00<000000?ooo`3oool0SP3oool008P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`2>0?ooo`00R03oool?000008T0oooo001o0?ooo`X00000
1P3oool00`000000oooo0?ooo`050?ooo`P00000P@3oool007H0oooo2@0000090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool03@3oool9000007P0oooo001b0?ooo`@00000403oool3
000000H0oooo00<000000?ooo`3oool05P3oool4000007@0oooo001]0?ooo`D000005P3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo01X0oooo1000001`0?ooo`00J@3oool400000280
oooo00<000000?ooo`3oool07P3oool4000006`0oooo001V0?ooo`<000009P3oool00`000000oooo
0?ooo`0R0?ooo`@00000J03oool006<0oooo0`00000Y0?ooo`030000003oool0oooo02H0oooo1000
001T0?ooo`00H03oool3000002`0oooo00<000000?ooo`3oool0:P3oool200000680oooo001N0?oo
o`800000;`3oool00`000000oooo0?ooo`0/0?ooo`800000H03oool005`0oooo0P00000a0?ooo`03
0000003oool0oooo02h0oooo0P00001N0?ooo`00F@3oool3000003<0oooo00<000000?ooo`3oool0
<03oool3000005/0oooo001G0?ooo`800000=P3oool00`000000oooo0?ooo`0c0?ooo`800000F@3o
ool005D0oooo0P00000h0?ooo`030000003oool0oooo03D0oooo0P00001G0?ooo`00D`3oool20000
03X0oooo0P00000h0?ooo`800000E@3oool00540oooo0P00000l0?ooo`030000003oool0oooo03T0
oooo0P00001C0?ooo`00C`3oool2000003h0oooo00<000000?ooo`3oool0>`3oool200000540oooo
001=0?ooo`800000@03oool00`000000oooo0?ooo`0m0?ooo`800000C`3oool004`0oooo00<00000
0?ooo`3oool0@03oool00`000000oooo0?ooo`0o0?ooo`800000C@3oool004X0oooo0P0000130?oo
o`030000003oool0oooo0440oooo0P00001;0?ooo`00B@3oool00`000000oooo0?ooo`130?ooo`03
0000003oool0oooo04<0oooo0P0000190?ooo`00A`3oool2000004H0oooo00<000000?ooo`3oool0
A@3oool2000004L0oooo00150?ooo`800000B03oool00`000000oooo0?ooo`170?ooo`800000A@3o
ool004@0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`190?ooo`030000003oool0
oooo0480oooo00120?ooo`800000B`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0oooo
0440oooo00110?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool0B`3oool200000440
oooo00100?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0C@3oool00`000000oooo
0?ooo`0n0?ooo`00?P3oool2000004l0oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?oo
o`0m0?ooo`00?@3oool00`000000oooo0?ooo`1?0?ooo`800000D03oool00`000000oooo0?ooo`0l
0?ooo`00?03oool00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo0500oooo0P00000l0?oo
o`00>P3oool2000005<0oooo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`0i0?ooo`00
>@3oool00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3oool0
>03oool003P0oooo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`1D0?ooo`800000>03o
ool003L0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`1F0?ooo`030000003oool0
oooo03D0oooo000e0?ooo`800000F03oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo
03@0oooo000d0?ooo`030000003oool0oooo05P0oooo00<000000?ooo`3oool0F03oool00`000000
oooo0?ooo`0c0?ooo`00<`3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo05T0oooo
00<000000?ooo`3oool0<P3oool00380oooo00<000000?ooo`3oool0FP3oool00`000000oooo0?oo
o`1J0?ooo`030000003oool0oooo0340oooo000a0?ooo`030000003oool0oooo05/0oooo00<00000
0?ooo`3oool0F`3oool00`000000oooo0?ooo`0`0?ooo`00<03oool00`000000oooo0?ooo`1L0?oo
o`030000003oool0oooo05`0oooo00<000000?ooo`3oool0;`3oool002l0oooo00<000000?ooo`3o
ool0G@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo02h0oooo000^0?ooo`030000
003oool0oooo05h0oooo0P00001O0?ooo`030000003oool0oooo02d0oooo000]0?ooo`030000003o
ool0oooo05l0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`0/0?ooo`00;03oool0
0`000000oooo0?ooo`1P0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0:`3oool0
02/0oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`1Q0?ooo`030000003oool0oooo
02X0oooo000Z0?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool0HP3oool00`000000
oooo0?ooo`0Y0?ooo`00:@3oool00`000000oooo0?ooo`1S0?ooo`030000003oool0oooo06<0oooo
00<000000?ooo`3oool0:03oool002P0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?oo
o`1T0?ooo`030000003oool0oooo02L0oooo000W0?ooo`030000003oool0oooo06D0oooo00<00000
0?ooo`3oool0I@3oool00`000000oooo0?ooo`0V0?ooo`009P3oool00`000000oooo0?ooo`1V0?oo
o`030000003oool0oooo06H0oooo00<000000?ooo`3oool09@3oool002D0oooo00<000000?ooo`3o
ool0I`3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo02D0oooo000U0?ooo`030000
003oool0oooo06L0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`0T0?ooo`00903o
ool00`000000oooo0?ooo`1X0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool08`3o
ool002<0oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0
oooo0280oooo000R0?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool0J@3oool00`00
0000oooo0?ooo`0R0?ooo`008P3oool00`000000oooo0?ooo`1Z0?ooo`800000J`3oool00`000000
oooo0?ooo`0Q0?ooo`008@3oool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo06/0oooo
00<000000?ooo`3oool0803oool00200oooo00<000000?ooo`3oool0K03oool00`000000oooo0?oo
o`1[0?ooo`030000003oool0oooo0200oooo000P0?ooo`030000003oool0oooo06`0oooo00<00000
0?ooo`3oool0K03oool00`000000oooo0?ooo`0O0?ooo`007`3oool00`000000oooo0?ooo`1]0?oo
o`030000003oool0oooo06d0oooo00<000000?ooo`3oool07P3oool001h0oooo00<000000?ooo`3o
ool0KP3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0oooo01d0oooo000M0?ooo`030000
003oool0oooo06l0oooo00<000000?ooo`3oool0KP3oool00`000000oooo0?ooo`0M0?ooo`007@3o
ool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0703o
ool001`0oooo00<000000?ooo`3oool0L03oool00`000000oooo0?ooo`1`0?ooo`030000003oool0
oooo01/0oooo000K0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0L03oool00`00
0000oooo0?ooo`0K0?ooo`006`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo0740
oooo00<000000?ooo`3oool06P3oool001X0oooo00<000000?ooo`3oool0LP3oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo01X0oooo000J0?ooo`030000003oool0oooo05h0oooo0P00
00040?ooo`030000003oool0oooo0080oooo0`0000060?ooo`030000003oool0oooo0780oooo00<0
00000?ooo`3oool06@3oool001T0oooo00<000000?ooo`3oool0GP3oool010000000oooo0?ooo`00
000;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0LP3oool00`000000oooo0?oo
o`0I0?ooo`006@3oool00`000000oooo0?ooo`1N0?ooo`040000003oool0oooo000000/0oooo00<0
00000?ooo`3oool00`3oool3000007<0oooo00<000000?ooo`3oool0603oool001P0oooo00<00000
0?ooo`3oool0F@3oool400000080oooo00@000000?ooo`3oool00000203oool3000000H0oooo00<0
00000?ooo`3oool0M03oool00`000000oooo0?ooo`0G0?ooo`005`3oool00`000000oooo0?ooo`1P
0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`1d0?ooo`030000003oool0oooo01L0oooo000G0?ooo`030000003oool0oooo0600oooo00@00000
0?ooo`3oool00000203oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo07D0oooo00<0
00000?ooo`3oool05P3oool001H0oooo00<000000?ooo`3oool0HP3oool2000000T0oooo10000005
0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3oool05P3oool001H0oooo00<000000?oo
o`3oool0MP3oool00`000000oooo0?ooo`1f0?ooo`030000003oool0oooo01D0oooo000E0?ooo`03
0000003oool0oooo07L0oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`0E0?ooo`00
5@3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0
503oool001@0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`1g0?ooo`030000003o
ool0oooo01@0oooo000D0?ooo`030000003oool0oooo07P0oooo00<000000?ooo`3oool0N03oool0
0`000000oooo0?ooo`0C0?ooo`004`3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo
07P0oooo00<000000?ooo`3oool04`3oool001<0oooo00<000000?ooo`3oool0N@3oool00`000000
oooo0?ooo`1i0?ooo`030000003oool0oooo0180oooo000B0?ooo`030000003oool0oooo07X0oooo
00<000000?ooo`3oool0N@3oool00`000000oooo0?ooo`0B0?ooo`004P3oool00`000000oooo0?oo
o`1j0?ooo`800000N`3oool00`000000oooo0?ooo`0A0?ooo`004P3oool00`000000oooo0?ooo`1j
0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool04@3oool00140oooo00<000000?oo
o`3oool0N`3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo0100oooo000A0?ooo`03
0000003oool0oooo07/0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0@0?ooo`00
403oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo07/0oooo00<000000?ooo`3oool0
403oool00100oooo00<000000?ooo`3oool0O03oool00`000000oooo0?ooo`1l0?ooo`030000003o
ool0oooo00l0oooo000?0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool0O03oool0
0`000000oooo0?ooo`0?0?ooo`003`3oool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo
07d0oooo00<000000?ooo`3oool03P3oool000l0oooo00<000000?ooo`3oool0O@3oool00`000000
oooo0?ooo`1m0?ooo`030000003oool0oooo00h0oooo000>0?ooo`030000003oool0oooo07h0oooo
00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`0=0?ooo`003P3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo07h0oooo00<000000?ooo`3oool03@3oool000d0oooo00<00000
0?ooo`3oool0O`3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00`0oooo000=0?oo
o`030000003oool0oooo07l0oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`0<0?oo
o`003@3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3o
ool0303oool000d0oooo00<000000?ooo`3oool0O`3oool200000840oooo00<000000?ooo`3oool0
2`3oool000`0oooo00<000000?ooo`3oool0P03oool00`000000oooo0?ooo`200?ooo`030000003o
ool0oooo00/0oooo000<0?ooo`030000003oool0oooo0800oooo00<000000?ooo`3oool0P03oool0
0`000000oooo0?ooo`0;0?ooo`00303oool00`000000oooo0?ooo`200?ooo`030000003oool0oooo
0800oooo00<000000?ooo`3oool02`3oool000`0oooo00<000000?ooo`3oool0P03oool00`000000
oooo0?ooo`210?ooo`030000003oool0oooo00X0oooo000;0?ooo`030000003oool0oooo0840oooo
00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`0:0?ooo`002`3oool00`000000oooo0?oo
o`210?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool02P3oool000/0oooo00<00000
0?ooo`3oool0P@3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo00X0oooo000;0?oo
o`030000003oool0oooo0840oooo00<000000?ooo`3oool0PP3oool00`000000oooo0?ooo`090?oo
o`002`3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo0880oooo00<000000?ooo`3o
ool02@3oool000X0oooo00<000000?ooo`3oool0PP3oool00`000000oooo0?ooo`220?ooo`030000
003oool0oooo00T0oooo000:0?ooo`030000003oool0oooo0880oooo00<000000?ooo`3oool0PP3o
ool00`000000oooo0?ooo`090?ooo`002P3oool00`000000oooo0?ooo`220?ooo`030000003oool0
oooo08<0oooo00<000000?ooo`3oool0203oool000X0oooo00<000000?ooo`3oool0PP3oool00`00
0000oooo0?ooo`230?ooo`030000003oool0oooo00P0oooo00090?ooo`030000003oool0oooo08<0
oooo0P0000240?ooo`030000003oool0oooo00P0oooo00090?ooo`030000003oool0oooo08<0oooo
00<000000?ooo`3oool0P`3oool00`000000oooo0?ooo`080?ooo`002@3oool00`000000oooo0?oo
o`230?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0203oool000T0oooo00<00000
0?ooo`3oool0P`3oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo00P0oooo00090?oo
o`030000003oool0oooo08<0oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?ooo`070?oo
o`00203oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo08@0oooo00<000000?ooo`3o
ool01`3oool000P0oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?ooo`240?ooo`030000
003oool0oooo00L0oooo00080?ooo`030000003oool0oooo08@0oooo00<000000?ooo`3oool0Q03o
ool00`000000oooo0?ooo`070?ooo`00203oool00`000000oooo0?ooo`240?ooo`030000003oool0
oooo08@0oooo00<000000?ooo`3oool01`3oool000P0oooo00<000000?ooo`3oool0Q03oool00`00
0000oooo0?ooo`250?ooo`030000003oool0oooo00H0oooo00070?ooo`030000003oool0oooo08D0
oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`060?ooo`001`3oool00`000000oooo
0?ooo`250?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool01P3oool000L0oooo00<0
00000?ooo`3oool0Q@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo00H0oooo0007
0?ooo`030000003oool0oooo08D0oooo0P0000260?ooo`030000003oool0oooo00H0oooo00070?oo
o`030000003oool0oooo08D0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`060?oo
o`001`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3o
ool01P3oool000L0oooo1000000l0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`<00000
>P3oool00`000000oooo0?ooo`0j0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`<00000
?03oool4000000H0oooo00070?ooo`030000003oool0000003`0oooo00@000000?ooo`3oool00000
2`3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo03T0oooo00@000000?ooo`3oool0
00002`3oool00`000000oooo0?ooo`0j0?ooo`8000001`3oool000L0oooo00<000000?ooo`000000
?03oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3o
ool0>@3oool010000000oooo0?ooo`00000;0?ooo`030000003oool0oooo03X0oooo0P0000070?oo
o`0000<0oooo0000000000000P0000020?ooo`030000003oool0000003H0oooo100000020?ooo`04
0000003oool0oooo000000P0oooo0`00000j0?ooo`030000003oool0oooo03T0oooo00@000000?oo
o`3oool00000203oool3000003d0oooo0P0000070?ooo`001`3oool00`000000oooo0000000l0?oo
o`040000003oool0oooo000000P0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0i
0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool0?@3oool2000000L0oooo0007
0?ooo`<00000?03oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo03X0oooo00<0
00000?ooo`3oool0>@3oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo03`0oooo
0`0000070?ooo`001P3oool010000000oooo0?ooo`00000m0?ooo`8000002@3oool4000003T0oooo
00<000000?ooo`3oool0>P3oool2000000T0oooo1000000m0?ooo`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo08H0oooo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`260?oo
o`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`050?ooo`00o`00000Q000000001P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0;0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0@P3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0440oooo00<00000
0?ooo`3oool0@P3oool00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`260?oo
o`030000003oool0oooo08H0oooo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool0QP3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo08H0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`260?ooo`030000003oool0oooo08H0oooo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0QP3oool00`000000oooo0?ooo`260?ooo`030000003oool0
oooo00D0oooo00070?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0Q@3oool00`00
0000oooo0?ooo`060?ooo`001`3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo08D0
oooo00<000000?ooo`3oool01P3oool000L0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo
0?ooo`250?ooo`030000003oool0oooo00H0oooo00070?ooo`030000003oool0oooo08D0oooo00<0
00000?ooo`3oool0Q@3oool00`000000oooo0?ooo`060?ooo`001`3oool00`000000oooo0?ooo`25
0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool01P3oool000L0oooo00<000000?oo
o`3oool0Q@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo00H0oooo00070?ooo`03
0000003oool0oooo08D0oooo0P0000260?ooo`030000003oool0oooo00H0oooo00070?ooo`030000
003oool0oooo08D0oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`060?ooo`001`3o
ool00`000000oooo0?ooo`250?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool01P3o
ool000P0oooo00<000000?ooo`3oool0Q03oool00`000000oooo0?ooo`250?ooo`030000003oool0
oooo00H0oooo00080?ooo`030000003oool0oooo08@0oooo00<000000?ooo`3oool0Q@3oool00`00
0000oooo0?ooo`060?ooo`00203oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo08D0
oooo00<000000?ooo`3oool01P3oool000P0oooo00<000000?ooo`3oool0Q03oool00`000000oooo
0?ooo`240?ooo`030000003oool0oooo00L0oooo00080?ooo`030000003oool0oooo08@0oooo00<0
00000?ooo`3oool0Q03oool00`000000oooo0?ooo`070?ooo`00203oool00`000000oooo0?ooo`24
0?ooo`030000003oool0oooo08@0oooo00<000000?ooo`3oool01`3oool000P0oooo00<000000?oo
o`3oool0Q03oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo00L0oooo00090?ooo`03
0000003oool0oooo08<0oooo00<000000?ooo`3oool0P`3oool00`000000oooo0?ooo`080?ooo`00
2@3oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0
203oool000T0oooo00<000000?ooo`3oool0P`3oool00`000000oooo0?ooo`230?ooo`030000003o
ool0oooo00P0oooo00090?ooo`030000003oool0oooo08<0oooo0P0000240?ooo`030000003oool0
oooo00P0oooo00090?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0PP3oool00`00
0000oooo0?ooo`090?ooo`002@3oool00`000000oooo0?ooo`230?ooo`030000003oool0oooo0880
oooo00<000000?ooo`3oool02@3oool000X0oooo00<000000?ooo`3oool0PP3oool00`000000oooo
0?ooo`220?ooo`030000003oool0oooo00T0oooo000:0?ooo`030000003oool0oooo0880oooo00<0
00000?ooo`3oool0PP3oool00`000000oooo0?ooo`090?ooo`002P3oool00`000000oooo0?ooo`22
0?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool02P3oool000X0oooo00<000000?oo
o`3oool0PP3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo00X0oooo000;0?ooo`03
0000003oool0oooo0840oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`0:0?ooo`00
2`3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool0
2P3oool000/0oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`210?ooo`030000003o
ool0oooo00X0oooo000;0?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool0P03oool0
0`000000oooo0?ooo`0;0?ooo`00303oool00`000000oooo0?ooo`200?ooo`030000003oool0oooo
0800oooo00<000000?ooo`3oool02`3oool000`0oooo00<000000?ooo`3oool0P03oool00`000000
oooo0?ooo`200?ooo`030000003oool0oooo00/0oooo000<0?ooo`030000003oool0oooo0800oooo
00<000000?ooo`3oool0P03oool00`000000oooo0?ooo`0;0?ooo`00303oool00`000000oooo0?oo
o`200?ooo`800000P@3oool00`000000oooo0?ooo`0;0?ooo`003@3oool00`000000oooo0?ooo`1o
0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0303oool000d0oooo00<000000?oo
o`3oool0O`3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo00`0oooo000=0?ooo`03
0000003oool0oooo07l0oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`0<0?ooo`00
3P3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0
303oool000h0oooo00<000000?ooo`3oool0OP3oool00`000000oooo0?ooo`1n0?ooo`030000003o
ool0oooo00d0oooo000?0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool0OP3oool0
0`000000oooo0?ooo`0=0?ooo`003`3oool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo
07d0oooo00<000000?ooo`3oool03P3oool00100oooo00<000000?ooo`3oool0O03oool00`000000
oooo0?ooo`1m0?ooo`030000003oool0oooo00h0oooo000@0?ooo`030000003oool0oooo07`0oooo
00<000000?ooo`3oool0O03oool00`000000oooo0?ooo`0?0?ooo`004@3oool00`000000oooo0?oo
o`1k0?ooo`030000003oool0oooo07`0oooo00<000000?ooo`3oool03`3oool00140oooo00<00000
0?ooo`3oool0N`3oool00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo07/0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?ooo`0@0?oo
o`004P3oool00`000000oooo0?ooo`1j0?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3o
ool04@3oool00180oooo00<000000?ooo`3oool0NP3oool2000007/0oooo00<000000?ooo`3oool0
4@3oool00180oooo00<000000?ooo`3oool0NP3oool00`000000oooo0?ooo`1i0?ooo`030000003o
ool0oooo0180oooo000C0?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3oool0N@3oool0
0`000000oooo0?ooo`0B0?ooo`004`3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo
07P0oooo00<000000?ooo`3oool04`3oool001@0oooo00<000000?ooo`3oool0N03oool00`000000
oooo0?ooo`1h0?ooo`030000003oool0oooo01<0oooo000D0?ooo`030000003oool0oooo07P0oooo
00<000000?ooo`3oool0M`3oool00`000000oooo0?ooo`0D0?ooo`005@3oool00`000000oooo0?oo
o`1g0?ooo`030000003oool0oooo07L0oooo00<000000?ooo`3oool0503oool001D0oooo00<00000
0?ooo`3oool0M`3oool00`000000oooo0?ooo`1f0?ooo`030000003oool0oooo01D0oooo000F0?oo
o`030000003oool0oooo07H0oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`0E0?oo
o`005P3oool00`000000oooo0?ooo`1f0?ooo`030000003oool0oooo07D0oooo00<000000?ooo`3o
ool05P3oool001L0oooo00<000000?ooo`3oool0M@3oool00`000000oooo0?ooo`1e0?ooo`030000
003oool0oooo01H0oooo000G0?ooo`030000003oool0oooo0640oooo0P0000040?ooo`030000003o
ool0oooo0080oooo0`0000060?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool05`3o
ool001P0oooo00<000000?ooo`3oool0G`3oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0M03oool00`000000oooo0?ooo`0G0?ooo`00603oool0
0`000000oooo0?ooo`1O0?ooo`040000003oool0oooo000000/0oooo00<000000?ooo`3oool00`3o
ool3000007<0oooo00<000000?ooo`3oool0603oool001T0oooo00<000000?ooo`3oool0GP3oool0
10000000oooo0?ooo`0000080?ooo`<000001P3oool00`000000oooo0?ooo`1c0?ooo`030000003o
ool0oooo01P0oooo000J0?ooo`030000003oool0oooo05d0oooo00@000000?ooo`3oool00000203o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool06@3o
ool001X0oooo00<000000?ooo`3oool0G@3oool010000000oooo0?ooo`0000080?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0LP3oool00`000000oooo0?ooo`0I0?ooo`006`3oool0
0`000000oooo0?ooo`1M0?ooo`8000002@3oool4000000D0oooo00<000000?ooo`3oool0L@3oool0
0`000000oooo0?ooo`0J0?ooo`006`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo
0700oooo00<000000?ooo`3oool06`3oool001`0oooo00<000000?ooo`3oool0L03oool00`000000
oooo0?ooo`1`0?ooo`030000003oool0oooo01/0oooo000L0?ooo`030000003oool0oooo0700oooo
00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`0L0?ooo`007@3oool00`000000oooo0?oo
o`1_0?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool07@3oool001h0oooo00<00000
0?ooo`3oool0KP3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0oooo01d0oooo000O0?oo
o`030000003oool0oooo06d0oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`0N0?oo
o`007`3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3o
ool07`3oool00200oooo00<000000?ooo`3oool0K03oool00`000000oooo0?ooo`1/0?ooo`030000
003oool0oooo01l0oooo000Q0?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0J`3o
ool00`000000oooo0?ooo`0P0?ooo`008P3oool00`000000oooo0?ooo`1Z0?ooo`800000J`3oool0
0`000000oooo0?ooo`0Q0?ooo`008`3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo
06X0oooo00<000000?ooo`3oool08@3oool002<0oooo00<000000?ooo`3oool0J@3oool00`000000
oooo0?ooo`1Y0?ooo`030000003oool0oooo0280oooo000T0?ooo`030000003oool0oooo06P0oooo
00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`0S0?ooo`009@3oool00`000000oooo0?oo
o`1W0?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool0903oool002H0oooo00<00000
0?ooo`3oool0IP3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo02D0oooo000W0?oo
o`030000003oool0oooo06D0oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`0U0?oo
o`009`3oool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3o
ool09P3oool002P0oooo00<000000?ooo`3oool0I03oool00`000000oooo0?ooo`1T0?ooo`030000
003oool0oooo02L0oooo000Y0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`3oool0H`3o
ool00`000000oooo0?ooo`0X0?ooo`00:P3oool00`000000oooo0?ooo`1R0?ooo`030000003oool0
oooo0680oooo00<000000?ooo`3oool0:@3oool002/0oooo00<000000?ooo`3oool0H@3oool00`00
0000oooo0?ooo`1Q0?ooo`030000003oool0oooo02X0oooo000/0?ooo`030000003oool0oooo0600
oooo00<000000?ooo`3oool0H03oool00`000000oooo0?ooo`0[0?ooo`00;@3oool00`000000oooo
0?ooo`1O0?ooo`030000003oool0oooo0600oooo00<000000?ooo`3oool0:`3oool002h0oooo00<0
00000?ooo`3oool0GP3oool200000600oooo00<000000?ooo`3oool0;03oool002l0oooo00<00000
0?ooo`3oool0G@3oool00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo02d0oooo000`0?oo
o`800000G@3oool00`000000oooo0?ooo`1M0?ooo`030000003oool0oooo02h0oooo000b0?ooo`03
0000003oool0oooo05X0oooo00<000000?ooo`3oool0G03oool00`000000oooo0?ooo`0_0?ooo`00
<`3oool00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo05X0oooo0P00000b0?ooo`00=03o
ool00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo05T0oooo00<000000?ooo`3oool0<P3o
ool003D0oooo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`1H0?ooo`030000003oool0
oooo03<0oooo000f0?ooo`030000003oool0oooo05H0oooo00<000000?ooo`3oool0EP3oool20000
03H0oooo000g0?ooo`030000003oool0oooo05D0oooo00<000000?ooo`3oool0E@3oool00`000000
oooo0?ooo`0f0?ooo`00>03oool00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo05@0oooo
00<000000?ooo`3oool0=`3oool003T0oooo0P00001D0?ooo`030000003oool0oooo05<0oooo00<0
00000?ooo`3oool0>03oool003/0oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`1A
0?ooo`800000>`3oool003`0oooo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`1@0?oo
o`030000003oool0oooo03/0oooo000m0?ooo`030000003oool0oooo04l0oooo0P00001@0?ooo`03
0000003oool0oooo03`0oooo000n0?ooo`800000C`3oool00`000000oooo0?ooo`1=0?ooo`800000
?`3oool00400oooo00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`1;0?ooo`800000@@3o
ool00440oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`1:0?ooo`030000003oool0
oooo0440oooo00120?ooo`800000B`3oool00`000000oooo0?ooo`180?ooo`800000A03oool004@0
oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo04@0
oooo00150?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0A@3oool2000004L0oooo
00160?ooo`800000A`3oool00`000000oooo0?ooo`130?ooo`800000B@3oool004P0oooo0P000015
0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0B@3oool004X0oooo0P0000130?oo
o`030000003oool0oooo0400oooo0P00001<0?ooo`00C03oool00`000000oooo0?ooo`100?ooo`03
0000003oool0oooo03l0oooo00<000000?ooo`3oool0C03oool004d0oooo0P0000100?ooo`030000
003oool0oooo03d0oooo0P00001?0?ooo`00C`3oool2000003h0oooo00<000000?ooo`3oool0>`3o
ool200000540oooo001A0?ooo`800000?03oool00`000000oooo0?ooo`0j0?ooo`030000003oool0
oooo0540oooo001C0?ooo`800000>P3oool2000003T0oooo0P00001D0?ooo`00E@3oool2000003P0
oooo00<000000?ooo`3oool0=P3oool2000005H0oooo001G0?ooo`800000=P3oool00`000000oooo
0?ooo`0d0?ooo`800000F03oool005T0oooo0P00000d0?ooo`030000003oool0oooo0380oooo0P00
001J0?ooo`00F`3oool200000380oooo00<000000?ooo`3oool0<03oool2000005`0oooo001M0?oo
o`<00000;`3oool00`000000oooo0?ooo`0/0?ooo`@00000GP3oool00600oooo0`00000/0?ooo`03
0000003oool0oooo02P0oooo1000001R0?ooo`00H`3oool3000002T0oooo00<000000?ooo`3oool0
9@3oool3000006H0oooo001V0?ooo`@000009@3oool00`000000oooo0?ooo`0R0?ooo`<00000J@3o
ool006X0oooo1000000Q0?ooo`030000003oool0oooo01l0oooo0`00001/0?ooo`00KP3oool50000
01`0oooo00<000000?ooo`3oool06`3oool4000006l0oooo001c0?ooo`@00000603oool00`000000
oooo0?ooo`0F0?ooo`D00000L`3oool007L0oooo200000070?ooo`@000001@3oool00`000000oooo
0?ooo`0=0?ooo`T00000N03oool007l0oooo2P0000060?ooo`030000003oool0oooo00D0oooo2000
00210?ooo`00R03oool?000008T0oooo00280?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0SP3oool008P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2>0?ooo`00
QP3oool3000000H0oooo00<000000?ooo`3oool0SP3oool008P0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`2>0?ooo`00S`3oool00`000000oooo0?ooo`2>0?ooo`00S`3oool00`00
0000oooo0?ooo`2>0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {287, 0}} -> {-1.05, -1.05001, 0.00731712, \
0.00731714}}]
}, Open  ]],

Cell[BoxData[{
    \(\(myListOfList = {};\)\), "\[IndentingNewLine]", 
    \(For[i = 0, i \[LessEqual] 2*maxVal, 
      i = i + myIncrement, \[IndentingNewLine]h = 
        i*Pi/maxVal; \[IndentingNewLine]zeroList[\([rootToJiggle]\)] = 
        E^\((I*\((Pi/n + h)\))\); \[IndentingNewLine]P[
          x_] := \[Product]\+\(j = 1\)\%n\((x - 
              zeroList[\([j]\)])\); \[IndentingNewLine]Q[x_] = \(P'\)[
          x]; \[IndentingNewLine]PprimeCoordList = 
        coordinateZeros[Q[x]]; \[IndentingNewLine]myListOfList = 
        Join[myListOfList, 
          PprimeCoordList]; \[IndentingNewLine]\[IndentingNewLine]tempPlot = 
        ListPlot[PprimeCoordList, PlotStyle \[Rule] PointSize[ .015], 
          AspectRatio \[Rule] 1, 
          DisplayFunction \[Rule] Identity]; \[IndentingNewLine]Show[
        myCircle, tempPlot]\[IndentingNewLine]]\)}], "Input"]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 933}, {0, 715}},
WindowSize->{604, 681},
WindowMargins->{{Automatic, 46}, {Automatic, 0}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 611, 11, 210, "Input"],
Cell[2390, 66, 736, 12, 67, "Output"],
Cell[3129, 80, 520, 10, 86, "Output"],
Cell[3652, 92, 30801, 668, 296, 4786, 342, "GraphicsData", "PostScript", \
"Graphics"]
}, Open  ]],
Cell[34468, 763, 873, 15, 297, "Input"]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

